Katalon does not work after Java Update

Hi,
After updating my java version, from 1.8 to 11 as suggested in the documentation https://docs.katalon.com/katalon-studio/how-to-guides/set-new-default-JRE.html#set-a-new-default-jre-for-a-katalon-studio-instance When I try to execute the tests I have the following error:

=============== ROOT CAUSE =====================
Caused by: java.lang.SecurityException: class "module-info"'s signer information does not match 
signer information of other classes in the same package.

For trouble shooting, please visit: https://docs.katalon.com/katalon-studio/docs/troubleshooting.html
================================================

09-03-2021 06:39:13 PM Verification

Elapsed time: 0.432s

Verification FAILED.
Reason:
com.kms.katalon.core.exception.StepFailedException: Keyword runFeatureFile was failed (Root 
cause: java.lang.SecurityException: class "module-info"'s signer information does not match signer 
information of other classes in the same package

Anybody could help me, please?

1 Like

Was there a resolution to this issue??

If you read the mentioned docs carefully, the JRE can be changed to compile and run test projects
However, katalon himself still needs openjdk8 to run (I think the windows version came with an embedded java for runtime)
there is no mention there to upgrade java, only to use an alternate JRE rather than the default set for OS on linux (or other than the embedded version for mac and windows)

We are also facing same error with cucumber script. No resolution till date.

did you read the previous post?
for the rest, you are right.
no resolution from user side, therefore no possible solution from katalon comunity.
cheers!

Because Oracle removed jaxb-api since Java 11 so we just need to add jakarta.xml.bind-api-2.3.3 in Library Management >> implementation group: ‘jakarta.xml.bind’, name: ‘jakarta.xml.bind-api’, version: ‘2.3.3’

Another thing for security exception >>> we should declare all of step definitions in packages NO step definition should be in default package and then update default packages for Step Definition in Test Listeners: Follow this documentation strictly Working with BDD feature files in Katalon Studio | Katalon Docs

It works with these changes.

Glad you have find a solution.
Katalon it is developped with openjdk8 only in mind at the moment of writing.

When using the provided feature to run your tests with any other JRE, you should adress the issues caused by any library conflicts.

I won’t suggest it. In my experience, it is a good tool at the start but eventually, it is hard to maintain and it scales badly. It is useful to know it if you come to a team, which already uses it and wants to migrate from it to let’s say Selenium :smiley: I would suggest you learn selenium (if did not already), Cypress, or Playwright. UI-based codeless tools are all the hype for non-technical testers at the start until you need to maintain it, it is a nightmare then.

1 Like

wont suggest above solution?

I ask because I am seeing this error now when running time engine

1 Like

10 posts were split to a new topic: Issue of BDD project with Katalon Studio v9

is there any moderator here on this forum, or this role is just a joke?